%global _empty_manifest_terminate_build 0
Name:		python-click-repl
Version:	0.3.0
Release:	1
Summary:	REPL plugin for Click
License:	MIT
URL:		https://github.com/untitaker/click-repl
Source0:	https://files.pythonhosted.org/packages/cb/a2/57f4ac79838cfae6912f997b4d1a64a858fb0c86d7fcaae6f7b58d267fca/click-repl-0.3.0.tar.gz	
BuildArch:	noarch

%description
REPL plugin for Click

%package -n python3-click-repl
Summary:	REPL plugin for Click
Provides:	python-click-repl
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-click-repl
REPL plugin for Click

%package help
Summary:	Development documents and examples for click-repl
Provides:	python3-click-repl-doc
%description help
REPL plugin for Click

%prep
%autosetup -n click-repl-0.3.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-click-repl -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Jul 04 2023 niuyaru <niuyaru@kylinos.cn> - 0.3.0-1
- Update package to version 0.3.0

* Fri Sep 16 2022 liqiuyu <liqiuyu@kylinos.cn> - 0.2.0-1
- Package init 
